Summary: The most commonly-used entries in the /dev directory.
Name: dev
Version: 2.7.24
Release: 1.3.0
Source0: dev-%{PACKAGE_VERSION}.tar.gz
Source1: dev-%{PACKAGE_VERSION}-rd-gd.tar.gz
Source2: dev-%{PACKAGE_VERSION}-hd-gd.tar.gz
Source3: dev-%{PACKAGE_VERSION}-usb-gd.tar.gz
Source4: dev-%{PACKAGE_VERSION}-ht-gd.tar.gz
Source5: dev-%{PACKAGE_VERSION}-i2c-gd.tar.gz
Source6: dev-%{PACKAGE_VERSION}-sg-gd.tar.gz
Source7: dev-%{PACKAGE_VERSION}-par-gd.tar.gz
Source8: dev-%{PACKAGE_VERSION}-mice-gd.tar.gz
Copyright: public domain
Group: System Environment/Base
Buildroot: %{_tmppath}/%{name}-root
Autoreqprov: no
Prefix: /dev
Requires: shadow-utils >= 20000902
Prereq: mktemp grep sed fileutils textutils
Prereq: shadow-utils
Vendor: Guardian Digital

%description
The Guardian Digital Linux Lockbox uses file system entries to represent
devices (CD-ROMs, floppy drives, etc.) attached to the machine. All of
these entries are in the /dev tree (although they don't have to be). 
This package contains the most commonly used /dev entries.  

The dev package is a basic part of your Linux system and it needs
to be installed.

%prep
%setup -c -T

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
  mkdir -p $RPM_BUILD_ROOT
  BUILD_DIR=`pwd`

  # unpack in build root
  cd $RPM_BUILD_ROOT
  tar xpSzf %{SOURCE0}
  tar xpSzf %{SOURCE1}
  tar xpSzf %{SOURCE2}
  tar xpSzf %{SOURCE3}
  tar xpSzf %{SOURCE4}
  tar xpSzf %{SOURCE5}
  tar xpSzf %{SOURCE6}
  tar xpSzf %{SOURCE7}
  tar xpSzf %{SOURCE8}

  cd $RPM_BUILD_ROOT/dev

  # build the file list
  cd $BUILD_DIR
  (cd $RPM_BUILD_ROOT/dev; ls) | sed 's,^,/dev/,' | sed '{
    /\/dev\/log$/ s/^/%ghost /
    /\/dev\/fd..*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/fb.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/hd.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/sg.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/par.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/*mouse.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/vtx.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/vbi.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/kbd.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/cua.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/tty[SCDEIMR].*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/tty[a-s].$/ s/^/%verify(size) /
    /\/dev\/pty.*/ s/^/%verify(size) /
    /\/dev\/raw\/.*/ s/^/%verify(not user,group,mode,mtime) /
  }' | grep -v filelist > filelist
  # that "size" should really be "maj,min" but rpm doesn't
  # follow Maximum RPM's documentation of %verify...

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
  /usr/sbin/groupadd -g 19 -r -f floppy
  /usr/sbin/groupadd -g 31 -r -f console

%post
  if [ -f /etc/fstab ] ; then
    # note that we do not disallow comments; we wish to allow people
    # to comment it out if they so desire.
    if [ $(grep '/proc' /etc/fstab 2>/dev/null | wc -l) -gt 1 ] ; then
      # ugly but robust
      echo '
none                    /dev/pts                devpts  gid=5,mode=620        0 0' \
        >> /etc/fstab || { echo "failed to add devpts filesystem to /etc/fstab" 1>&2 ; exit 1 ; }
    else
      # beautiful in the common case
      TMP=$(mktemp /tmp/fstab.XXXXXX)
      sed '/\/proc/a\
none                    /dev/pts                devpts  gid=5,mode=620        0 0
          ' < /etc/fstab > $TMP && cat $TMP > /etc/fstab || { echo "failed to add devpts filesystem to /etc/fstab" 1>&2 ; exit 1 ; }
      rm -f $TMP
    fi
  fi

%files -f filelist

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Thu May 16 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.7.24, Release 1.2.4
  - Don't package 'filelist' as per Rabon audit.

* Tue May 07 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 2.7.24, Release 1.2.3
  - added /dev/sd[a-d][9-15], sg[0-7], sg[a-h], *mouse*,
	par[0-2]

* Wed Feb 20 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.7.24, Release 1.2.2
  - Ryan-ized spec a little bit.
  - Added i2c devices.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.[01]
  - Initial build for EnGarde v1.2 (Parry).
  - Fix %clean stanza.

* Mon Nov 05 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 2.7.24, Release 1.1.7
  - added /dev/[n]ht0

* Thu Nov 01 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 2.7.24, Release 1.1.6
  - added /dev/hd[a-r][1-16]

* Wed Oct 24 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.7.24, 1.1.5
  - Revised shadow-utils Requires line (no more Serial).

* Fri Sep 17 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 2.7.24, Release 1.1.2
  - added /dev/hde*, hdf*, hdg*, hdh*

* Thu Sep 13 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.7.24, Release 1.1.3
  - Added the usb tarball.
  - Make lp? devices (in both tarballs) GID lpr.


* Fri Sep 07 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 2.7.24, Release 1.1.2
  - added /dev/hd?

* Tue Aug 23 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 2.7.24, Release 1.1.1
  - added /dev/rd/*

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.7.24, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Wed Apr 04 2001 Nick DeClario <nick@guardiandigital.com>
- Added systty device

* Tue Mar 27 2001 Pete O'Hara <pete@guardiandigital.com>
- added loop back devices loop[0-7] 

* Mon Feb 05 2001 Pete O'Hara <pete@guardiandigital.com>
- added /dev/hdd1-7

* Thu Dec 07 2000 Pete O'Hara <pete@guardiandigital.com>
- bumped up the version number so that proper tarball
	is installled 

* Sun Dec 03 2000 Dave Wreski <dave@guardiandigital.com>
- added SCSI tape devices

* Fri Nov 24 2000 Pete O'Hara <pete@guardiandigital.com>
- added hdc[1-8] devices

* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- removed lp and tty[t-z] devices

* Wed May 31 2000 Pete O'Hara <pete@guardiandigital.com>
- added only necessary devices
